package control;

import java.awt.event.KeyEvent;
import java.awt.event.KeyListener;

import model.GameModel;
import model.GameStateManager;
import view.GameView;

public class GameControl implements KeyListener {

	private GameView view;
	private GameModel model;

	private GameStateManager gsm;

	public GameControl(GameView view, GameModel model, GameStateManager gsm) {
		this.view = view;
		this.model = model;
		this.gsm = gsm;
	}

	@Override
	public void keyPressed(KeyEvent e) {
		gsm.keyPressed(e);
	}

	@Override
	public void keyReleased(KeyEvent e) {
		gsm.keyReleased(e);
	}

	@Override
	public void keyTyped(KeyEvent e) {
		gsm.keyTyped(e);
	}

}
